﻿--
-- martinshorn
-- Specialization for farmer car mod
--
-- @author  Stefan Geiger
-- @date  10/01/09
--
-- Copyright (C) GIANTS Software GmbH, Confidential, All Rights Reserved.

martinshorn = {};

function martinshorn.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function martinshorn:load(xmlFile)
    local martinshorn = getXMLString(xmlFile, "vehicle.martinshorn#file");
    if martinshorn ~= nil then
        martinshorn = Utils.getFilename(martinshorn, self.baseDirectory);
        self.martinshorn = createSample("martinshorn");
        loadSample(self.martinshorn, martinshorn, false);
        self.martinshornVolume = Utils.getNoNil(getXMLFloat(xmlFile, "vehicle.martinshorn#volume"), 1.0);
        self.martinshornPlay = false;
        self.martinshornPlaying = false;
    end;
end;

function martinshorn:delete()
    if self.martinshorn ~= nil then
        delete(self.martinshorn);
    end;
end;

function martinshorn:mouseEvent(posX, posY, isDown, isUp, button)
end;

function martinshorn:keyEvent(unicode, sym, modifier, isDown)
end;

function martinshorn:update(dt)
	if self:getIsActive() then
		if InputBinding.hasEvent(InputBinding.martinshorn) then
			self.martinshornPlay = not self.martinshornPlay;
		end;
		if self.martinshornPlay and not self.martinshornPlaying then
			playSample(self.martinshorn, 0, self.martinshornVolume, 0);
			self.martinshornPlaying = true;
		elseif self.martinshornPlaying and not self.martinshornPlay then
			stopSample(self.martinshorn);
			self.martinshornPlaying = false;
		end;
	end;
end;

function martinshorn:onLeave()
	if self.martinshornPlaying then
		stopSample(self.martinshorn);
		self.martinshornPlaying = false;
	end;
end;

function martinshorn:draw()
end;

